OpenJPEG: opj_jp2 Struct Reference

OpenJPEG 2.5.4

Data Fields
opj_jp2 Struct Reference

JPEG-2000 file format reader/writer. More...

`#include <jp2.h>`

## Data Fields
opj_j2k_t * | j2k
| handle to the J2K codec
struct opj_procedure_list * | m_validation_list
| list of validation procedures
struct opj_procedure_list * | m_procedure_list
| list of execution procedures
OPJ_UINT32 | w
OPJ_UINT32 | h
OPJ_UINT32 | numcomps
OPJ_UINT32 | bpc
OPJ_UINT32 | C
OPJ_UINT32 | UnkC
OPJ_UINT32 | IPR
OPJ_UINT32 | meth
OPJ_UINT32 | approx
OPJ_UINT32 | enumcs
OPJ_UINT32 | precedence
OPJ_UINT32 | brand
OPJ_UINT32 | minversion
OPJ_UINT32 | numcl
OPJ_UINT32 * | cl
opj_jp2_comps_t * | comps
OPJ_OFF_T | j2k_codestream_offset
OPJ_OFF_T | jpip_iptr_offset
OPJ_BOOL | jpip_on
OPJ_UINT32 | jp2_state
OPJ_UINT32 | jp2_img_state
opj_jp2_color_t | color
OPJ_BOOL | ignore_pclr_cmap_cdef
OPJ_BYTE | has_jp2h
OPJ_BYTE | has_ihdr

## Detailed Description

JPEG-2000 file format reader/writer.

## Field Documentation

## ◆ approx

OPJ_UINT32 opj_jp2::approx

Referenced by opj_jp2_read_colr(), opj_jp2_setup_encoder(), and opj_jp2_write_colr().

## ◆ bpc

OPJ_UINT32 opj_jp2::bpc

Referenced by opj_jp2_read_bpcc(), opj_jp2_read_ihdr(), opj_jp2_setup_encoder(), opj_jp2_write_ihdr(), and opj_jp2_write_jp2h().

## ◆ brand

OPJ_UINT32 opj_jp2::brand

Referenced by opj_jp2_read_ftyp(), opj_jp2_setup_encoder(), and opj_jp2_write_ftyp().

## ◆ C

OPJ_UINT32 opj_jp2::C

Referenced by opj_jp2_read_ihdr(), opj_jp2_setup_encoder(), and opj_jp2_write_ihdr().

## ◆ cl

OPJ_UINT32* opj_jp2::cl

Referenced by opj_jp2_destroy(), opj_jp2_read_ftyp(), opj_jp2_setup_encoder(), and opj_jp2_write_ftyp().

## ◆ color

opj_jp2_color_t opj_jp2::color

Referenced by opj_jp2_apply_color_postprocessing(), opj_jp2_create(), opj_jp2_destroy(), opj_jp2_read_cdef(), opj_jp2_read_cmap(), opj_jp2_read_colr(), opj_jp2_read_header(), opj_jp2_read_pclr(), opj_jp2_setup_decoder(), opj_jp2_setup_encoder(), opj_jp2_write_cdef(), opj_jp2_write_colr(), and opj_jp2_write_jp2h().

## ◆ comps

opj_jp2_comps_t* opj_jp2::comps

Referenced by opj_jp2_default_validation(), opj_jp2_destroy(), opj_jp2_read_bpcc(), opj_jp2_read_ihdr(), opj_jp2_setup_encoder(), and opj_jp2_write_bpcc().

## ◆ enumcs

OPJ_UINT32 opj_jp2::enumcs

Referenced by opj_jp2_read_colr(), opj_jp2_read_header(), opj_jp2_setup_encoder(), and opj_jp2_write_colr().

## ◆ h

OPJ_UINT32 opj_jp2::h

Referenced by opj_jp2_default_validation(), opj_jp2_read_ihdr(), opj_jp2_setup_encoder(), and opj_jp2_write_ihdr().

## ◆ has_ihdr

OPJ_BYTE opj_jp2::has_ihdr

Referenced by opj_jp2_read_header(), and opj_jp2_read_ihdr().

## ◆ has_jp2h

OPJ_BYTE opj_jp2::has_jp2h

Referenced by opj_jp2_read_header(), and opj_jp2_read_jp2h().

## ◆ ignore_pclr_cmap_cdef

OPJ_BOOL opj_jp2::ignore_pclr_cmap_cdef

Referenced by opj_jp2_apply_color_postprocessing(), and opj_jp2_setup_decoder().

## ◆ IPR

OPJ_UINT32 opj_jp2::IPR

Referenced by opj_jp2_read_ihdr(), opj_jp2_setup_encoder(), and opj_jp2_write_ihdr().

## ◆ j2k

opj_j2k_t* opj_jp2::j2k

handle to the J2K codec

Referenced by jp2_dump(), jp2_get_cstr_index(), jp2_get_cstr_info(), opj_jp2_apply_color_postprocessing(), opj_jp2_create(), opj_jp2_decode(), opj_jp2_decode_tile(), opj_jp2_decoder_set_strict_mode(), opj_jp2_default_validation(), opj_jp2_destroy(), opj_jp2_encode(), opj_jp2_encoder_set_extra_options(), opj_jp2_end_compress(), opj_jp2_end_decompress(), opj_jp2_get_tile(), opj_jp2_read_header(), opj_jp2_read_ihdr(), opj_jp2_read_tile_header(), opj_jp2_set_decode_area(), opj_jp2_set_decoded_components(), opj_jp2_set_decoded_resolution_factor(), opj_jp2_set_threads(), opj_jp2_setup_decoder(), opj_jp2_setup_encoder(), opj_jp2_start_compress(), and opj_jp2_write_tile().

## ◆ j2k_codestream_offset

OPJ_OFF_T opj_jp2::j2k_codestream_offset

Referenced by opj_jp2_skip_jp2c(), and opj_jp2_write_jp2c().

## ◆ jp2_img_state

OPJ_UINT32 opj_jp2::jp2_img_state

Referenced by opj_jp2_default_validation(), and opj_jp2_read_jp2h().

## ◆ jp2_state

OPJ_UINT32 opj_jp2::jp2_state

Referenced by opj_jp2_default_validation(), opj_jp2_read_ftyp(), opj_jp2_read_header_procedure(), opj_jp2_read_jp(), and opj_jp2_read_jp2h().

## ◆ jpip_iptr_offset

OPJ_OFF_T opj_jp2::jpip_iptr_offset

Referenced by opj_jpip_skip_iptr().

## ◆ jpip_on

OPJ_BOOL opj_jp2::jpip_on

Referenced by opj_jp2_setup_encoder(), opj_jp2_setup_end_header_writing(), and opj_jp2_setup_header_writing().

## ◆ m_procedure_list

struct opj_procedure_list* opj_jp2::m_procedure_list

list of execution procedures

Referenced by opj_jp2_create(), opj_jp2_default_validation(), opj_jp2_destroy(), opj_jp2_end_compress(), opj_jp2_end_decompress(), opj_jp2_read_header(), opj_jp2_setup_end_header_reading(), opj_jp2_setup_end_header_writing(), opj_jp2_setup_header_reading(), opj_jp2_setup_header_writing(), and opj_jp2_start_compress().

## ◆ m_validation_list

struct opj_procedure_list* opj_jp2::m_validation_list

list of validation procedures

Referenced by opj_jp2_create(), opj_jp2_default_validation(), opj_jp2_destroy(), opj_jp2_read_header(), opj_jp2_setup_encoding_validation(), and opj_jp2_start_compress().

## ◆ meth

OPJ_UINT32 opj_jp2::meth

Referenced by opj_jp2_default_validation(), opj_jp2_read_colr(), opj_jp2_setup_encoder(), and opj_jp2_write_colr().

## ◆ minversion

OPJ_UINT32 opj_jp2::minversion

Referenced by opj_jp2_read_ftyp(), opj_jp2_setup_encoder(), and opj_jp2_write_ftyp().

## ◆ numcl

OPJ_UINT32 opj_jp2::numcl

Referenced by opj_jp2_default_validation(), opj_jp2_read_ftyp(), opj_jp2_setup_encoder(), and opj_jp2_write_ftyp().

## ◆ numcomps

OPJ_UINT32 opj_jp2::numcomps

Referenced by opj_jp2_default_validation(), opj_jp2_read_bpcc(), opj_jp2_read_ihdr(), opj_jp2_setup_encoder(), opj_jp2_write_bpcc(), and opj_jp2_write_ihdr().

## ◆ precedence

OPJ_UINT32 opj_jp2::precedence

Referenced by opj_jp2_read_colr(), opj_jp2_setup_encoder(), and opj_jp2_write_colr().

## ◆ UnkC

OPJ_UINT32 opj_jp2::UnkC

Referenced by opj_jp2_read_ihdr(), opj_jp2_setup_encoder(), and opj_jp2_write_ihdr().

## ◆ w

OPJ_UINT32 opj_jp2::w

Referenced by opj_jp2_default_validation(), opj_jp2_read_ihdr(), opj_jp2_setup_encoder(), and opj_jp2_write_ihdr().

The documentation for this struct was generated from the following file:

- jp2.h